Page MenuHomePhabricator

[Flang] Port test_modfile.sh to Python
ClosedPublic

Authored by ijan1 on Aug 12 2021, 4:59 AM.

Details

Summary

To enable Flang testing on Windows, shell scripts have
to be ported to Python. The following changes have been made:
"test_modfile.sh" has been ported to Python, and
the relevant tests relying on it.

Diff Detail

Event Timeline

ijan1 requested review of this revision.Aug 12 2021, 4:59 AM
ijan1 created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptAug 12 2021, 4:59 AM

Is the failure of modfile09.f90 related to D107953?

ijan1 added a comment.Aug 12 2021, 7:15 AM

Is the failure of modfile09.f90 related to D107953?

No, that's just a mistake on my end that's somehow managed to slip by me. actual_files needs to be declared in advance.

ijan1 edited the summary of this revision. (Show Details)Aug 12 2021, 7:52 AM
ijan1 updated this revision to Diff 366589.Aug 16 2021, 4:30 AM

Fixed modfile09.f90 failing. Updated to use the tempfile library. Using Python-style docstrings now.

Would you like me to look at why "modfile18.f90" and "modfile20.f90" are failing?

flang/test/Semantics/test_modfile.py
83
ijan1 added a comment.Aug 17 2021, 1:56 AM

Would you like me to look at why "modfile18.f90" and "modfile20.f90" are failing?

That would be brilliant, thank you. "modfile18.f90" is also most likely related to some kind of floating-point number error, same as "modfile20.f90", but no actual cause has been established.

ijan1 added a comment.Aug 18 2021, 7:06 AM

Would it be fine for me to disable to failing tests for now and have them re-enabled with the fix?

Would it be fine for me to disable to failing tests for now and have them re-enabled with the fix?

Yes, I think so. Please add a comment into the test files why they are disabled.

ijan1 updated this revision to Diff 368598.Aug 25 2021, 3:25 AM

Updated to disable the 2 failing tests on Windows and also filed a bug report in bugzilla.

ijan1 edited the summary of this revision. (Show Details)Sep 1 2021, 2:56 AM
ijan1 updated this revision to Diff 370522.Sep 3 2021, 2:53 AM

Re-enabling tests on Windows.

ijan1 updated this revision to Diff 370569.Sep 3 2021, 6:23 AM

Rebased to mollify buildbots.

ijan1 added a comment.Sep 6 2021, 1:21 AM

@Meinersbur is this one ready to be merged also?

Meinersbur accepted this revision.Sep 6 2021, 6:45 AM

@Meinersbur is this one ready to be merged also?

Yes, LGTM. Please edit the commit message (removes outstanding issues) when committing.

This revision is now accepted and ready to land.Sep 6 2021, 6:45 AM
ijan1 retitled this revision from [Flang] Ported test_modfile.sh to Python to [Flang] Port test_modfile.sh to Python.Sep 6 2021, 6:56 AM
ijan1 edited the summary of this revision. (Show Details)
This revision was landed with ongoing or failed builds.Sep 6 2021, 6:57 AM
This revision was automatically updated to reflect the committed changes.